aboutsummaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorHans Feldt <hans.feldt@ericsson.com>2015-05-21 11:27:57 +0200
committerHans Feldt <hans.feldt@ericsson.com>2015-05-21 11:27:57 +0200
commit22c9496a9f0c88991d6d3dedd7f0b6443452901b (patch)
tree8a86c3c3f454f6c499dd80d91631128a3ba2d519 /run_tests.sh
parent44ee87706046d6caac49feff5a595e837974ff69 (diff)
fix run_tests exit status
previously run_tests always returned 0 no matter the result. It can now be hooked up to a gerrit gate job. Change-Id: I2c4bccec71c179fd2b1b965613c34179da830ac5 JIRA: - Signed-off-by: Hans Feldt <hans.feldt@ericsson.com>
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/run_tests.sh b/run_tests.sh
index e7040e77f..6770e64cb 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -17,6 +17,7 @@ run_flake8() {
flake8 yardstick > $logfile
if [ $? -ne 0 ]; then
echo "FAILED, result in $logfile"
+ exit 1
else
echo "OK, result in $logfile"
fi
@@ -28,6 +29,7 @@ run_tests() {
python -m unittest discover -s yardstick/tests &> $logfile
if [ $? -ne 0 ]; then
echo "FAILED, result in $logfile"
+ exit 1
else
echo "OK, result in $logfile"
fi